Agora RTC Objective-C API Reference Refactor

Properties
AgoraVirtualBackgroundSource Class Reference

Inherits <NSObject>.

## Properties
AgoraVirtualBackgroundSourceType | backgroundSourceType
NSUInteger | color
NSString *_Nullable | source
AgoraBlurDegree | blurDegree

## Property Documentation

## ◆ backgroundSourceType

- (AgoraVirtualBackgroundSourceType) backgroundSourceType
| read write nonatomic assign

The custom background. See `AgoraVirtualBackgroundSourceType`.

## ◆ color

- (NSUInteger) color
| read write nonatomic assign

The type of the custom background image. The color of the custom background image. The format is a hexadecimal integer defined by RGB, without the # sign, such as 0xFFB6C1 for light pink. The default value is 0xFFFFFF, which signifies white. The value range is [0x000000, 0xffffff]. If the value is invalid, the SDK replaces the original background image with a white background image.

Note
  This parameter is only applicable to custom backgrounds of the following types:
  - AgoraVirtualBackgroundColor: The background image is a solid-colored image of the color passed in by the parameter.
  - AgoraVirtualBackgroundImg: If the image in `source` has a transparent background, the transparent background will be filled with the color passed in by the parameter.

## ◆ source

- (NSString* _Nullable) source
| read write nonatomic copy

The local absolute path of the custom background image. Supports PNG, JPG, MP4, AVI, MKV, and FLV formats. If the path is invalid, the SDK will use either the original background image or the solid color image specified by `color`.

Note
  This parameter takes effect only when the type of the custom background image is AgoraVirtualBackgroundImg or AgoraVirtualBackgroundVideo.

## ◆ blurDegree

- (AgoraBlurDegree) blurDegree
| read write nonatomic assign

The degree of blurring applied to the custom background image. See `AgoraBlurDegree`.

Note
  This parameter takes effect only when the type of the custom background image is AgoraVirtualBackgroundBlur.